--KHT globals

KHT_NUM_BARS = 11;
KHT_NUM_OPTIONS = 11;
KHT_NUM_LABELS = 11;
KHT_NUM_SLIDERS = 7;

KHT_NUM_TIMERS = {
	[1] = 11,		-- Beast
	[2] = 14,		-- Marks
	[3] = 19,		-- Surv
	[4] = 13,		-- Pets
	[5] = 16,		-- Misc
	[6] = 38		-- Trinkets
};

KHT_OPTIONS_TIMERS = {
	[1] = {		-- Beast
		[1]  = KHT_BEAST,
		[2]  = KHT_BW,
		[3]  = KHT_COBRA,
		[4]  = KHT_FEED_PET,
		[5]  = KHT_FEROCIOUS,
		[6]  = KHT_PET_FRENZY,
		[7]  = KHT_INTIM,
		[8]  = KHT_KILL_COMMAND,
		[9]  = KHT_MEND_PET,
		[10] = KHT_QUICK_SHOTS,
		[11] = KHT_SCARE_BEAST
	},
	[2] = {		-- Marks
		[1]  = KHT_MARKS,
		[2]  = KHT_AIMED_SHOT,
		[3]  = KHT_AUTO_SHOT,
		[4]  = KHT_CONC_BARRAGE,
		[5]  = KHT_CONC_SHOT,
		[6]  = KHT_FLARE,
		[7]  = KHT_HUNTERS_MARK,
		[8]  = KHT_STEADY,
		[9]  = KHT_RAPID_FIRE,
		[10] = KHT_RAPID_KILLING,
		[11] = KHT_SCORPID,
		[12] = KHT_SERPENT,
		[13] = KHT_SILENCE_SHOT,
		[14] = KHT_VIPER
	},
	[3] = {		-- Surv
		[1]  = KHT_SURV,
		[2]  = KHT_BLACK_ARROW,
		[3]  = KHT_COUNTER,
		[4]  = KHT_DETERRENCE,
		[5]  = KHT_ENTRAPMENT,
		[6]  = KHT_EXPL_SHOT,
		[7]  = KHT_EXPL_TRAP,
		[8]  = KHT_EXPOSE_WEAKNESS,
		[9]  = KHT_FREEZING_ARROW,
		[10] = KHT_FREEZING_TRAP,
		[11] = KHT_FROST_TRAP,
		[12] = KHT_IMMO_TRAP,
		[13] = KHT_LOCK_LOAD,
		[14] = KHT_TACTICIAN,
		[15] = KHT_MISDIRECTION,
		[16] = KHT_SCATTER,
		[17] = KHT_SNAKE_TRAP,
		[18] = KHT_WING_CLIP,
		[19] = KHT_WYVERN
	},
	[4] = {		-- Pets
		[1]  = KHT_PETS,
		[2]  = KHT_CALL,
		[3]  = KHT_CARRION,
		[4]  = KHT_DASH,
		[5]  = KHT_FURIOUS,
		[6]  = KHT_STAND,
		[7]  = KHT_BITE,
		[8]  = KHT_RABID,
		[9]  = KHT_ROAR,
		[10] = KHT_SERENITY,
		[11] = KHT_SHIELD,
		[12] = KHT_TENDON,
		[13] = KHT_WARP
	},
	[5] = {		-- Misc
		[1]  = KHT_MISC,
		[2]  = KHT_ARCANE,
		[3]  = KHT_CHAMPION,
		[4]  = KHT_BERSERKING,
		[5]  = KHT_BLOOD_FURY,
		[6]  = KHT_BLOODLUST,
		[7]  = KHT_BEASTLORD,
		[8]  = KHT_EXPOSE_DS,
		[9]  = KHT_HEROIC,
		[10] = KHT_HEROISM,
		[11] = KHT_PRECISION,
		[12] = KHT_PRIMAL,
		[13] = KHT_SANTOS,
		[14] = KHT_SKYFIRE,
		[15] = KHT_STONEFORM,
		[16] = KHT_WAR_STOMP
	},
	[6] = {		-- Trinkets
		[1]  = KHT_TRINKETS,
		[2]  = KHT_ABACUS,
		[3]  = KHT_ADWT,
		[4]  = KHT_ANVIL,
		[5]  = KHT_ATOS,
		[6]  = KHT_SWARMGUARD,
		[7]  = KHT_BERSERK_CALL,
		[8]  = KHT_BLADEFIST,
		[9]  = KHT_BLOODLUST_BROOCH,
		[10] = KHT_ARKELOS,
		[11] = KHT_DARK_GREAT,
		[12] = KHT_DARK_MAD,
		[13] = KHT_DARK_WRATH,
		[14] = KHT_VERDICT,
		[15] = KHT_DEVIL_EYE,
		[16] = KHT_DST,
		[17] = KHT_EARTHSTRIKE,
		[18] = KHT_EMPTY_MUG,
		[19] = KHT_GRIM_TOLL,
		[20] = KHT_HOURGLASS,
		[21] = KHT_INCISOR,
		[22] = KHT_JOM_GABBAR,
		[23] = KHT_KISS_SPIDER,
		[24] = KHT_LOATHEB,
		[25] = KHT_MOTB,
		[26] = KHT_METEORITE,
		[27] = KHT_MIRROR,
		[28] = KHT_MJOLNIR,
		[29] = KHT_NIGHTSEYE,
		[30] = KHT_OGRE,
		[31] = KHT_PYRITE_INFUSER,
		[32] = KHT_SIGNET_EDWARD,
		[33] = KHT_SKY_CROSS,
		[34] = KHT_TALON_ALAR,
		[35] = KHT_TTP,
		[36] = KHT_TSUNAMI_TALISMAN,
		[37] = KHT_UNITING,
		[38] = KHT_HERO_MEDALLION
	}
};

KHT_OPTIONS_BARS = {
	[1] = KHT_OPTIONS_LOCK,
	[2] = KHT_OPTIONS_COLOR_CHANGE,
	[3] = KHT_OPTIONS_SHOW_TEX,
	[4] = KHT_OPTIONS_LARGE_TEX,
	[5] = KHT_OPTIONS_HIDE_GAP,
	[6] = KHT_OPTIONS_APPEND,
	[7] = KHT_OPTIONS_HIDE_PADDING,
	[8] = KHT_OPTIONS_HIDE_TEXT,
	[9] = KHT_OPTIONS_HIDE_TIME,
	[10] = KHT_OPTIONS_STICKY,
	[11] = KHT_OPTIONS_DOWN
};

KHT_OPTIONS_LABELS = {
	[1] = KHT_OPTIONS_BARS_TEXT,
	[2] = KHT_OPTIONS_BORDER,
	[3] = KHT_OPTIONS_BARSTART,
	[4] = KHT_OPTIONS_TEXT_COLOR,
	[5] = KHT_OPTIONS_BACKDROP,
	[6] = KHT_OPTIONS_BAREND,
	[7] = KHT_OPTIONS_TIME_COLOR,
	[8] = KHT_OPTIONS_SHOT_DELAY,
	[9] = KHT_OPTIONS_MILI,
	[10] = KHT_OPTIONS_TARGET_COLOR,
	[11] = KHT_OPTIONS_TEXTURE
};

KHT_OPTIONS_SLIDER = {
	[1] = KHT_OPTIONS_BAR_DIST,
	[2] = KHT_OPTIONS_SCALE,
	[3] = KHT_OPTIONS_DECIMALS,
	[4] = KHT_OPTIONS_FLASH,
	[5] = KHT_OPTIONS_STEP,
	[6] = KHT_OPTIONS_OVERALL_OPACITY,
	[7] = KHT_OPTIONS_BAR_THICKNESS
};

KHT_OPTIONS_SLIDER_ENDS = {
	[1] = {
		[1] = "0",
		[2] = "10"
	},
	[2] = {
		[1] = "50%",
		[2] = "150%"
	},
	[3] = {
		[1] = KHT_OFF,
		[2] = "3"
	},
	[4] = {
		[1] = KHT_OFF,
		[2] = "10"
	},
	[5] = {
		[1] = "0.01",
		[2] = "0.05"
	},
	[6] = {
		[1] = "0%",
		[2] = "100%"
	},
	[7] = {
		[1] = "10",
		[2] = "32"
	}
};
